Package pyplusplus :: Package decl_wrappers :: Module properties :: Class property_t

# type property_t

source code

    object --+
             |
            property_t

This class describes a "property".

It keeps

Instance Methods

__init__(self, name, fget, fset=None, doc=None, is_static=False) | source code

__str__(self) | source code

Properties
| name
| fget
| fset
| doc
| is_static

Method Details

### __init__(self, name, fget, fset=None, doc=None, is_static=False)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

Property Details

### name

### fget

### fset

### doc

Get Method:
  _get_doc(self)
Set Method:
  _set_doc(self, doc)

### is_static